Bug 1089561 - Review Request: mod_ruid2 - A suexec module for Apache
Summary: Review Request: mod_ruid2 - A suexec module for Apache
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-20 21:40 UTC by Othman Madjoudj
Modified: 2015-04-06 03:11 UTC (History)
2 users (show)

Fixed In Version: mod_ruid2-0.9.8-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-23 07:09:40 UTC
pahan: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Othman Madjoudj 2014-04-20 21:40:23 UTC
Spec URL: http://athmane.fedorapeople.org/pkgs/mod_ruid2.spec
SRPM URL: http://athmane.fedorapeople.org/pkgs/mod_ruid2-0.9.8-1.fc20.src.rpm

Description:
mod_ruid2 is a suexec module for Apache which takes advantage of 
POSIX.1e capabilities to increase performance.

Fedora Account System Username: athmane

Comment 1 Othman Madjoudj 2014-04-20 21:51:01 UTC
Rpmlint output:

$ rpmlint RPMS/x86_64/mod_ruid2-0.9.8-1.fc20.x86_64.rpm SPECS/mod_ruid2.spec SRPMS/mod_ruid2-0.9.8-1.fc20.src.rpm
 
mod_ruid2.x86_64: W: spelling-error Summary(en_US) suexec -> execute
mod_ruid2.x86_64: W: spelling-error %description -l en_US suexec -> execute
mod_ruid2.src: W: spelling-error Summary(en_US) suexec -> execute
mod_ruid2.src: W: spelling-error %description -l en_US suexec -> execute
2 packages and 1 specfiles checked; 0 errors, 4 warnings.



Rawhide scratch build: 

http://koji.fedoraproject.org/koji/taskinfo?taskID=6759811

Comment 2 Othman Madjoudj 2015-02-04 20:09:15 UTC
Please find bellow url to coprs repo for testing.

https://copr.fedoraproject.org/coprs/athmane/mod_ruid2/

Comment 3 Pavel Alexeev 2015-03-16 20:13:57 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)". Detailed output of licensecheck in
     /home/pasha/SOFT/Review/mod_ruid2/1089561-mod_ruid2/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[?]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
     Note: Test run failed
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Test run failed
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed
[!]: Package complies to the Packaging Guidelines
LICENSE file must be marked as %license not just %doc
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Text

[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[-]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[ ]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mod_ruid2-0.9.8-1.fc21.x86_64.rpm
          mod_ruid2-0.9.8-1.fc21.src.rpm
mod_ruid2.x86_64: W: spelling-error Summary(en_US) suexec -> execute
mod_ruid2.x86_64: W: spelling-error %description -l en_US suexec -> execute
mod_ruid2.src: W: spelling-error Summary(en_US) suexec -> execute
mod_ruid2.src: W: spelling-error %description -l en_US suexec -> execute
mod_ruid2.src: E: specfile-error warning: line 23: Invalid version (double separator '-'): missing-httpd-devel: Requires: httpd-mmn = missing-httpd-devel
2 packages and 0 specfiles checked; 1 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
$ rpmlint *
mod_ruid2.src: W: spelling-error Summary(en_US) suexec -> execute
mod_ruid2.src: W: spelling-error %description -l en_US suexec -> execute
mod_ruid2.src: E: specfile-error warning: line 23: Invalid version (double separator '-'): missing-httpd-devel: Requires: httpd-mmn = missing-httpd-devel
mod_ruid2.spec: E: specfile-error warning: line 23: Invalid version (double separator '-'): missing-httpd-devel: Requires: httpd-mmn = missing-httpd-devel
1 packages and 1 specfiles checked; 2 errors, 2 warnings.


Requires
--------
mod_ruid2 (rpmlib, GLIBC filtered):
    config(mod_ruid2)
    httpd
    httpd-mmn
    libc.so.6()(64bit)
    libcap.so.2()(64bit)
    rtld(GNU_HASH)



Provides
--------
mod_ruid2:
    config(mod_ruid2)
    mod_ruid2
    mod_ruid2(x86-64)



Unversioned so-files
--------------------
mod_ruid2: /usr/lib64/httpd/modules/mod_ruid2.so

Source checksums
----------------
http://downloads.sourceforge.net/project/mod-ruid/mod_ruid2/mod_ruid2-0.9.8.tar.bz2 :
  CHECKSUM(SHA256) this package     : f8a178daf3bccf86e7e50e3224efc52165200470dece7b701466c5fbf1944b19
  CHECKSUM(SHA256) upstream package : f8a178daf3bccf86e7e50e3224efc52165200470dece7b701466c5fbf1944b19


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1089561
Buildroot used: fedora-21-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG


So, package is fine.

Found one stop issue but trivial to fix:
[!]: Package complies to the Packaging Guidelines
LICENSE file must be marked as %license not just %doc
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Text

Please fix it before import.

Also, you include upstream README and preconfigured configs, so I would advise you to include README.Fedora with 2-3 phrases how to enable and start use it.

PACKAGE APPROVED.

Comment 4 Othman Madjoudj 2015-03-16 20:43:29 UTC
Thank you for reviewing the package.

(In reply to Pavel Alexeev (aka Pahan-Hubbitus) from comment #3)
[...]
> Found one stop issue but trivial to fix:
> [!]: Package complies to the Packaging Guidelines
> LICENSE file must be marked as %license not just %doc
> https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/
> LicensingGuidelines#License_Text
> 

fixed in -2

> Please fix it before import.
> 
> Also, you include upstream README and preconfigured configs, so I would
> advise you to include README.Fedora with 2-3 phrases how to enable and start
> use it.
> 


The pkg already includes a config file mod_ruid2.conf , all lines are commented and kept as example (or snippets)  for actual configuration.

Comment 5 Othman Madjoudj 2015-03-16 20:45:20 UTC
New Package SCM Request
=======================
Package Name: mod_ruid2
Short Description: A suexec module for Apache
Upstream URL: http://sourceforge.net/projects/mod-ruid/
Owners: athmane
Branches: f20 f21 f22 el5 el6 epel7

Comment 6 Gwyn Ciesla 2015-03-17 12:54:46 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2015-03-17 18:08:58 UTC
mod_ruid2-0.9.8-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/mod_ruid2-0.9.8-2.fc22

Comment 8 Fedora Update System 2015-03-17 18:21:55 UTC
mod_ruid2-0.9.8-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mod_ruid2-0.9.8-2.fc21

Comment 9 Fedora Update System 2015-03-17 18:45:31 UTC
mod_ruid2-0.9.8-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mod_ruid2-0.9.8-2.el7

Comment 10 Fedora Update System 2015-03-17 19:18:40 UTC
mod_ruid2-0.9.8-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mod_ruid2-0.9.8-2.el6

Comment 11 Fedora Update System 2015-03-18 10:26:25 UTC
mod_ruid2-0.9.8-2.fc21 has been pushed to the Fedora 21 testing repository.

Comment 12 Fedora Update System 2015-03-23 07:09:40 UTC
mod_ruid2-0.9.8-2.fc22 has been pushed to the Fedora 22 stable repository.

Comment 13 Fedora Update System 2015-03-29 04:39:09 UTC
mod_ruid2-0.9.8-2.fc21 has been pushed to the Fedora 21 stable repository.

Comment 14 Fedora Update System 2015-04-06 03:10:10 UTC
mod_ruid2-0.9.8-2.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 15 Fedora Update System 2015-04-06 03:11:51 UTC
mod_ruid2-0.9.8-2.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.